package com.care.common.service;


import com.care.client.dto.TemplateDataDTO;

import java.util.Map;

/**
 * 编码类型表(SysDimType)表服务接口
 *
 * @author makejava
 * @since 2021-05-21 00:08:30
 */
public interface WxNoticSendService {

    /**
     * 事件发生给紧急联系人等发送语音提示
     * @param phone
     * @param params
     * @return
     */
    boolean sendWhenHappen(String phone, Map<String, TemplateDataDTO> data);
    /**
     * 事件取消给紧急联系人等发送语音提示
     * @param phone
     * @param params
     * @return
     */
    boolean sendWhenCancel(String phone, Map<String, TemplateDataDTO> data);
}