package com.care.bigscreen.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 大屏居住类型比例响应类
 *
 * @author stw
 * @since 2021-05-20
 */
@Data
@ApiModel(value = "大屏居住类型比例响应类", description = "大屏居住类型比例响应类")
public class BigScreenLiveTypeVO {

    @ApiModelProperty(value = "居住类别：1：独居 2：非独居 3：集中居住 4：其他")
    private String liveType;
    @ApiModelProperty(value = "居住类别：1：独居 2：非独居 3：集中居住 4：其他")
    private String liveTypeName;
    @ApiModelProperty(value = "比率")
    private BigDecimal rate;

}
